import os
from dotenv import load_dotenv

# Carrega as variáveis de ambiente do arquivo .env, se existir
load_dotenv()

class Config:
   # Configurações Gerais
    SECRET_KEY = os.getenv('SECRET_KEY', 'd702717e2361ba1a31ce3b98d28ee3e24e2e6a9be8e2afd8e004f842563bacbd')
    DEBUG = os.getenv('DEBUG', 'True') == 'True'
    JSON_SORT_KEYS = False

    # Configurações do MySQL
    MYSQL_HOST = os.getenv('MYSQL_HOST', '10.10.253.56')
    MYSQL_USER = os.getenv('MYSQL_USER', 'remote')
    MYSQL_PASSWORD = os.getenv('MYSQL_PASSWORD', 'wNTDu1k79z{(')
    MYSQL_DB = os.getenv('MYSQL_DB', 'itguys')
    MYSQL_CURSORCLASS = 'DictCursor'

 # Configurações do LDAP (Windows AD)
    LDAP_SERVER = os.getenv('LDAP_SERVER', 'ldap://itguys.com.br')  # IP/Hostname do servidor LDAP
    LDAP_DOMAIN = os.getenv('LDAP_DOMAIN', 'itguys.com.br')  # Domínio do AD (FQDN)
    LDAP_BASE_DN = os.getenv('LDAP_BASE_DN', 'dc=itguys,dc=com,dc=br')  # Distinguished Name (DN)
    LDAP_USER = os.getenv('LDAP_USER', 'itguys\\teste.dev')  # Usuário de serviço LDAP (formato DOMINIO\\Usuario)
    LDAP_PASSWORD = os.getenv('LDAP_PASSWORD', '123Mudar')  # Senha do usuário LDAP
    
